site_name: Documentations
site_description: Project documentation with Markdown.
site_author: bruno@clicclac.info
site_url: https://clicclac.synology.me/central_docs/
#nav: 1 espace après le tiret
#mettre des titres aux pages évite une majuscules auto dans les menus formés à 
#partir des noms de fichiers (sauf si camelCase?)

nav:
    - Accueil: index.md
    - Linux:
        - Index: Linux/index.md
        - ack: Linux/ack.md
        - Apps:
            - AppImage: Linux/Apps/AppImage.md
            - flatpak: Linux/Apps/flatpak.md
            - snap: Linux/Apps/snap.md
        - Archiver / compresser: Linux/archiver.md
        - apt-get: Raspberry/apt-get.md
        - aptitude: Raspberry/aptitude.md
        - awk: Linux/awk.md
        - Chaines: Linux/string.md
        - Commandes sympas: Linux/commandes.md
        - Conditions: Linux/conditions.md
        - Date: Linux/date.md
        - Editeurs:
            - index: Linux/Editeurs/index.md
            - nano: Linux/Editeurs/nano.md
            - vi: Linux/Editeurs/vi.md
        - Executer: Linux/executer.md
        - Filtres: Linux/filtres.md
        - Format ext4: Linux/format_ext4.md
        - find: Linux/find.md
        - for: Linux/for.md
        - grep: Linux/grep.md
        - Lire un fichier: Linux/read.md
        - MàJ sans internet: Linux/maj.md
        - Permissions: Linux/permissions.md
        - Pipelines: Linux/pipeline.md
        - I/O Redirections: Linux/redirections.md
        - SCP: Linux/scp.md
        - SFTP: Linux/sftp.md
        - sed: Linux/sed.md
        - Shells: Linux/shell.md
        - SSH: Linux/ssh.md
        - Tail / Head: Linux/tail-head.md
        - Divers: Linux/divers.md
    - Distributions:
        - Index: Distributions/index.md
        - Debian: Distributions/debian.md
        - Linux Mint:
            - Index: Distributions/Mint/index.md
            - Mint: Distributions/Mint/Mint.md
            - Applications: Distributions/Mint/applications.md
            - Backup: Distributions/Mint/backup.md
            - Grub: Distributions/Mint/grub.md
            - Info Système: Distributions/Mint/info_sys.md
            - Mises-à-jour: Distributions/Mint/outdated.md
            - Recovery: Distributions/Mint/recovery.md
            - Samba: Distributions/Mint/samba.md
            - Systemctl: Distributions/Mint/systemctl.md
            - Serveur ftp: Distributions/Mint/vsftpd.md
            - Serveur web: Distributions/Mint/webserver.md     
        -  Solus:
            - Index: Distributions/solus/index.md
            - Apache: Distributions/solus/apache.md
            - MySQL: Distributions/solus/mysql.md
            - PHP: Distributions/solus/php.md
    - macos:
        - Index: macos/index.md
        - Divers: 
            - AllToMP3: macos/Divers/AllToMP3.md
            - DeezloaderRemix: macos/Divers/DeezloaderRemix.md
            - Divers: macos/Divers/Divers.md
            - weasyprint: macos/Divers/weasyprint.md
            - Hackintosh: macos/Divers/Hackintosh.md
        - Homebrew:
            - homebrew: macos/homebrew/brew.md
            - homebrew-cask: macos/homebrew/brew-cask.md
        - Logs: macos/logs.md
        - Mail: macos/Mail.md
        - Node.js:
            - Index: macos/node/index.md
            - Ghost: macos/node/ghost.md
            - node-js: macos/node/node-js.md
            - nvm: macos/node/nvm.md
        - Perl:
            - Installation: macos/perl/installer.md
            - Perl: macos/perl/perl.md
        - Python:
            - Index: macos/python/index.md
            - Conda: macos/python/conda.md
            - Django: macos/python/Django.md
            - pip: macos/python/pip.md
            - Python 3: macos/python/python3.md
            - Environnement virtuel: macos/python/virtuel.md
        - Ruby: macos/ruby.md
        - Sécurité (Gatekeeper): macos/securite.md
        - ssh:
            - SSH: macos/ssh/ssh.md
            - passwordless: macos/ssh/ssh-passwordless.md
        - Terminal:
            - chflags: macos/terminal/chflags.md
            - Exécuter un script Bash: macos/terminal/executer_shell_script.md
            - getfileinfo - setfile: macos/terminal/getfileinfo_setfile.md
            - md5: macos/terminal/md5.md
            - open: macos/terminal/open.md
            - Shebang: macos/terminal/shebang.md
            - Terminal: macos/terminal/terminal.md
            - you have mail: macos/terminal/youhavemail.md
        - Touch ID: macos/TouchID.md
        - WebServer: 
            - Index: macos/webserver/index.md
            - Apache: macos/webserver/apache.md
            - Composer: macos/webserver/composer.md
            - erreurs: macos/webserver/errors_apache.md
            - mongodb: macos/webserver/mongodb.md 
            - MySQL (installation): macos/webserver/install_mysql.md
            - MySQL (trucs): macos/webserver/mysql.md
            - PHP: macos/webserver/php.md
            - PHP 7.2: macos/webserver/php72.md
            - PHP 7.3: macos/webserver/php73.md
            - Xhprof: macos/webserver/Xhprof.md 
        - Liens: macos/liens.md
    - MySQL:
        - Index: MySQL/index.md
        - Backup: MySQL/Backup.md
        - mysqlcheck: MySQL/mysqlcheck.md
        - Reset Password: MySQL/Expired-root-Password.md
        - Socket error: MySQL/Socket-error.md
        - Commandes diverses: MySQL/diverses.md
    - Plesk Onyx:
        - Index: Plesk/index.md
        - Ghost: Plesk/Ghost.md
        - Nextcloud: Plesk/nextcloud.md
    - Programmation:
        -Python:
            - Index: Programmation/Python/index.md
            - Classes: Programmation/Python/class.md
            - Date: Programmation/Python/date.md
            - Dictionnaire: Programmation/Python/dictionnaire.md
            - Fabric SSH Python: Programmation/Python/fabric-ssh.md
            - Fichiers: Programmation/Python/fichiers.md
            - Fonctions: Programmation/Python/fonctions.md
            - Boucle For: Programmation/Python/for.md
            - In: Programmation/Python/in.md
            - json: Programmation/Python/json.md
            - Listes: Programmation/Python/liste.md
            - Les regex: Programmation/Python/regex.md
            - requests: Programmation/Python/requests.md
            - Sets: Programmation/Python/set.md
            - Strings: Programmation/Python/string.md
            - Tuples: Programmation/Python/tuple.md
            - zip: Programmation/Python/zip.md
    - Raspberry:
        - Index: Raspberry/index.md
        - apt-get: Raspberry/apt-get.md
        - aptitude: Raspberry/aptitude.md
        - Backup SD: Raspberry/backup_sd.md
        - Boot et clone: Raspberry/boot.md
        - Backup: Raspberry/backup.md
        - Hardware: Raspberry/hardware.md
        - Installation sans écran: Raspberry/headless.md
        - Matériels:
            - Liste: Raspberry/materiels/materiels.md
            - Cameras: Raspberry/materiels/camera.md
            - HC-SR04: Raspberry/materiels/HC-SR04.md
            - HC-SR501: Raspberry/materiels/HC-SR501.md
        - Pi Desktop: Raspberry/pi-desktop.md
        - Réseau: Raspberry/reseau.md
        - Envoyer un mail depuis le RPi: Raspberry/send_mail.md
        - SiriControl: Raspberry/siri_control.md
        - Tools: Raspberry/tools.md
        - Divers: Raspberry/divers.md
    - Synology:
        - Index: Synology/index.md
        - bash: Synology/bash.md
        - DSM 6: Synology/dsm6.md
        - eadir: Synology/eadir.md
        - Gitea: Synology/gitea.md
        - Nextcloud: Synology/nextcloud.md
        - oPKG:
            - iPKG (DSM5): Synology/opkg/iPKG5.md
            - iPKG (DSM6): Synology/opkg/iPKG6.md
            - oPKG: Synology/opkg/oPKG.md
        - ownCloud (DSM6): Synology/owncloud.md
        - Python 3: Synology/python.md
        - Scripts: Synology/scripts.md
    - Windows:
        - Index: Windows/index.md
        - Astuces: Windows/trucs.md
        - Chocolatey: Windows/Chocolatey.md
        - Clés ssh: Windows/cles-ssh.md
        - PowerShell:
            - Index: Windows/PowerShell/index.md
            - Stratégies d'exécution: Windows/PowerShell/ExecutionPolicies.md
            - Commandes: Windows/PowerShell/commands.md
            - Environnements: Windows/PowerShell/env.md
        - systeminfo: Windows/systeminfo.md
        - Windows Terminal: Windows/Terminal.md     
        - WSL: Windows/wsl.md
    - Divers:
        - Index: Divers/index.md
        - bash:
            - Exemples: Divers/bash/bash_exemples.md
            - Programmation: Divers/bash/programmation.md
            - Strings: Divers/bash/strings.md
            - Tableaux: Divers/bash/tableaux.md
        - batch:
            - Commades DOS (1): Divers/batch/Commandes_DOS.md
            - Commades DOS (2): Divers/batch/Commandes_DOS_2.md
        - Changer de shell: Divers/Changer_shell.md
        - Chromium: Divers/Chromium.md
        - git:
            - Index: Divers/git/index.md
            - git: Divers/git/git.md
            - Session de travail avec git: Divers/git/git-session.md
            - gitea: Divers/git/gitea.md
            - git-ftp: Divers/git/git-ftp.md
        - go: Divers/go.md
        - Markdown: Divers/markdown.md
        - Nextcloud: Divers/nextcloud.md
        - Plex: Divers/plex.md
        - Vagrant: 
            - Installation: Divers/Vagrant/Vagrant.md
            - Créer une Vagrant box: Divers/Vagrant/creer_une_vagrant_box.md
        - Vider le cache DNS: Divers/Vider_cache_DNS.md
        - wp-cli: 
            - Index: Divers/wp-cli/index.md
            - cli: Divers/wp-cli/wp_cli.md
            - comment: Divers/wp-cli/wp_comment.md
            - config: Divers/wp-cli/wp_config.md
            - core: Divers/wp-cli/wp_core.md
            - db: Divers/wp-cli/wp_db.md
            - Installation: Divers/wp-cli/Installation.md
            - language: Divers/wp-cli/wp_language.md
            - media: Divers/wp-cli/wp_media.md
            - package: Divers/wp-cli/wp_package.md
            - plugin: Divers/wp-cli/wp_plugin.md
            - post: Divers/wp-cli/wp_post.md
            - revisions: Divers/wp-cli/wp_revisions.md
            - scaffold: Divers/wp-cli/wp_scaffold.md
            - Scenarios: Divers/wp-cli/scenarios.md
            - search-remplace: Divers/wp-cli/wp_search-replace.md
            - site: Divers/wp-cli/wp_site.md
            - theme: Divers/wp-cli/wp_theme.md
            - user: Divers/wp-cli/wp_user.md
            - autres: Divers/wp-cli/autres.md
            - OVH: Divers/wp-cli/ovh.md
        - zsh: 
            - Antibody: Divers/zsh/antibody.md
            - zsh: Divers/zsh/zsh.md
            - zsh2: Divers/zsh/zsh2.md
    - MkDocs: mkdocs.md

theme: 
    name: 'material'
    language: 'fr'
    features:
        # v4
        #tabs: true
        # v5
        -tabs
        -instant
plugins:
    - search:
        # v4
        #lang: 'fr'
        # v5
        lang:
           - fr 
    - pdf-export:
        media_type: print
        enabled_if_env: ENABLE_PDF_EXPORT
    - git-revision-date-localized
extra_css:
    - stylesheets/fontawesome-all.css
    - stylesheets/second_extra.css
    
markdown_extensions:
    - codehilite
    - pymdownx.magiclink
    - pymdownx.mark
    - pymdownx.emoji:
        #emoji_index: !!python/name:materialx.emoji.twemoji
        #emoji_generator: !!python/name:materialx.emoji.to_svg    
    - admonition
    - fontawesome_markdown
    - footnotes
    - toc:
        permalink: true  

extra:
    manifest: 'manifest.json'
  
site_dir: central_docs
 
dev_addr: '127.0.0.1:8001'
